import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Profile } from '@app/domain/profiles/profile.model';
import { Observable } from 'rxjs';

export class UpdateCoordinateProfileUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(profileId: string, latitude: number, longitude: number): Observable<Profile> {
    return this.repo.updateCoordinates(profileId, latitude, longitude);
  }
}
